/* img {
  width: 100%;
} */
.discount-green {
    background: #ddeaca;
}

.billing-form .field-style {
    width: fit-content !important;
    max-width: fit-content !important;
    min-width: fit-content !important;
    margin-bottom: 8px;
    margin-left: 8px;
}

.center {
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
}

input[type="radio"].appearance-checkbox {
    -webkit-appearance: checkbox;
    -moz-appearance: checkbox;
    appearance: checkbox;
}

.w-t {
    transition: width 0.3s ease-in-out;
}

.tile-shadow {
    box-shadow: 0px 8px 24px 4px #ddd;
}

.submit-button {
    padding: 8px;
    background: #168f80 !important;
    color: white;
    border-radius: 4px;
    font-weight: bolder !important;
}

.submit-button:hover {
    background: #168f817f !important;
    color: #000000;
    box-shadow: 0px 1px 2px 2px #ddd;
}

.submit-button:active {
    background-color: #ddd;
    color: #313131;
}

.nowrap {
    flex-wrap: nowrap !important;
}

.space-between {
    justify-content: space-between;
}

.flex-childs-right {
    max-width: 100%;
    display: flex;
    justify-content: right;
    align-items: center;
    flex-flow: row wrap;
    overflow: hidden;
}

.childs-in-line:not(#role.childs-in-line) {
    /* overflow: hidden; */
    max-width: 100%;
    display: flex;
    align-items: center;
    flex-flow: row wrap;
}

.childs-in-line:not(#role.childs-in-line):not(.childs-in-line .childs-in-line) {
    padding: 8px 0px;
    border-radius: 0px 0px 8px 8px;
}

.childs-space-between-px>* {
    max-width: calc(100% - 10px);
    margin-right: 10px !important;
}

.green-padded {
    padding: 8px;
    background: #168f80 !important;
    color: white;
    border-radius: 4px;
    font-weight: bolder !important;
}

.red-padded {
    padding: 8px;
    background: #f9494f !important;
    color: white;
    border-radius: 4px;
    font-weight: bolder !important;
    border: none;
    cursor: pointer;
}

button,
input[type="submit"],
input[type="reset"] {
    border: none;
    padding: 0;
    cursor: pointer;
    outline: inherit;
    font-size: 1rem;
}

input[type="submit"],
input[type="reset"] {
    padding: 8px 12px;
}

.c-red {
    color: #ff0008f3 !important;
}

.text-align-right {
    text-align: right !important;
}

.hover-bg-red:hover {
    background-color: #c43034 !important;
}

/* Remove arrows, spinners in inputs */
/* Chrome, Safari, Edge, Opera */
/* input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  appearance: none;
  -webkit-appearance: none;
  margin: 0;
} */

/* Firefox */
input[type=number] {
    appearance: none;
    -moz-appearance: textfield;
}

[type="date"],
[type="time"] {
    width: calc(50% - 40px) !important;
}

[type="checkbox"] {
    width: 17px;
    height: 17px;
    border: 0;
    cursor: pointer;
    margin: 0 4px;
}